<?php
session_start();

include "../conexion.php";

if (!empty($_POST)) {
	$alert = '';
	if (empty($_POST['ruc']) || empty($_POST['nombre'])) {
		$alert = '<center><p class="msg_error">Rellena los campos obligatorios. <i class="fas fa-exclamation-triangle"></i></p></center>';
	} else {

		$ruc          = $_POST['ruc'];
		$nombre       = $_POST['nombre'];
		$telefono     = $_POST['telefono'];
		$direccion    = $_POST['direccion'];
		$usuario_id   = $_SESSION['idUser'];

		$result = 0;

		if (is_numeric($ruc) and $ruc != 0) {
			$query = mysqli_query($conection, "SELECT * FROM cliente WHERE ruc = '$ruc'");
			$result = mysqli_fetch_array($query);
		}

		if ($result > 0) {
			$alert = '<center><p class="msg_error">El numero de RUC ya existe. <i class="fas fa-exclamation-triangle"></i></p></center>';
		} else {
			$query_insert = mysqli_query($conection, "INSERT INTO cliente(ruc,nombre,telefono,direccion,usuario_id)
														VALUES('$ruc','$nombre','$telefono','$direccion','$usuario_id')");

			if ($query_insert) {
				$alert = '<center><p class="msg_save">Cliente guardado correctamente. <i class="fas fa-check-circle"></i></p></center>';
			} else {
				$alert = '<center><p class="msg_error">Error al guardar el cliente. <i class="fas fa-exclamation-triangle"></i></p></center>';
			}
		}
	}

	mysqli_close($conection);
}

?>

<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<?php include "includes/scripts.php"; ?>
	<title>Registro Cliente | SIS - COTIZACIONES</title>
	<link rel="icon" href="../img/logo_favicon_vigitronic.ico">
</head>

<body>
	<?php include "includes/header.php"; ?>
	<section id="container">

		<div class="form_register">
			<center><h1><i class="fas fa-user-plus"></i> Registro Cliente</h1></center>
			<hr>
			<div class="alert"><?php echo isset($alert) ? $alert : ''; ?></div>

			<form action="" method="post">
				<label for="ruc">RUC*</label>
				<input type="text" name="ruc" id="ruc" placeholder="Numero de RUC" required>
				<label for="nombre">Razon social*</label>
				<input type="text" name="nombre" id="nombre" placeholder="Razon social" required>
				<label for="telefono">Contacto</label>
				<input type="text" name="telefono" id="telefono" placeholder="Contacto">
				<label for="direccion">Referencia</label>
				<input type="text" name="direccion" id="direccion" placeholder="Referencia">

				<button type="submit" class="btn_save"><i class="fas fa-save"></i> Guardar cliente</button>

			</form>


		</div>


	</section>
	<?php include "includes/footer.php"; ?>
</body>

</html>